Show / Hide Table of Contents

# Struct MJIBuildingPlacement

A record of building population information at a specific Site ID.

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Client.Game

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct MJIBuildingPlacement

### Fields

| Improve this Doc View Source

#### BuildingTypeId

The current model (?) ID of the building present in this slot.

When a building is fully constructed, this will be the value present at offset +0x0C from MJIBuilding. While a building is under construction, however, the appropriate model (as determined by progress) will be shown from columns +0E, +10, +12, or +14.

Can also be a blank model ID, if nothing is built in that location yet.

##### Declaration

    public ushort BuildingTypeId

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### PlaceId

At load, the location of this specific building. Will update if a building is changed, but the exact mechanism of the update (and why it does such) is not currently known.

##### Declaration

    public uint PlaceId

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### Size

##### Declaration

    public const int Size = 16

##### Field Value

Type | Description
--- | ---
System.Int32 |